Package logilab :: Package common :: Package ureports :: Module html_writer :: Class HTMLWriter

[frames] | no frames]

# Class HTMLWriter

source code

    object --+
             |
    BaseWriter --+
                 |
                HTMLWriter

    format layouts as HTML

Instance Methods

__init__(self, snippet=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

handle_attrs(self, layout) get an attribute string from layout member attributes | source code

begin_format(self, layout) begin to format a layout | source code

end_format(self, layout) finished to format a layout | source code

visit_section(self, layout) display a section as html, using div + h[section level] | source code

visit_title(self, layout) display a title using <hX> | source code

visit_table(self, layout) display a table as html | source code

visit_list(self, layout) display a list as html | source code

visit_paragraph(self, layout) display links (using <p>) | source code

visit_span(self, layout) display links (using <p>) | source code

visit_link(self, layout) display links (using <a>) | source code

visit_verbatimtext(self, layout) display verbatim text (using <pre>) | source code

visit_text(self, layout) add some text | source code

Inherited from `BaseWriter`: `compute_content`, `format`, `format_children`, `get_table_content`, `write`, `writeln` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, snippet=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### begin_format(self, layout)

source code

    begin to format a layout

Overrides: BaseWriter.begin_format

### end_format(self, layout)

source code

    finished to format a layout

Overrides: BaseWriter.end_format